## horst 3.0

=== Makefile ===
# horst - Highly Optimized Radio Scanning Tool
#
# Copyright (C) 2005-2011 Bruno Randolf (br1@einfach.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

NAME=horst
DEBUG=0
PCAP=0
OBJS=main.o capture$(if $(filter 1,$(PCAP)),-pcap).o protocol_parser.o \
	network.o wext.o node.o essid.o channel.o \
	util.o ieee80211_util.o listsort.o average.o \
	display.o display-main.o display-filter.o display-help.o \
	display-statistics.o display-essid.o display-history.o \
	display-spectrum.o display-channel.o

LIBS=-lncurses -lm
CFLAGS+=-Wall -DDO_DEBUG=$(DEBUG) -g

ifeq ($(PCAP),1)
CFLAGS+=-DPCAP
LIBS+=-lpcap
endif

buildstamp=.build_debug$(DEBUG)pcap$(PCAP)

all: $(buildstamp) $(NAME)

# include dependencies
average.o: average.h util.h
capture.o: capture.h util.h
capture-pcap.o: capture.h util.h
channel.o: main.h util.h ieee80211_util.h wext.h
display.o: display.h main.h ieee80211.h
display-channel.o: display.h main.h
display-essid.o: display.h main.h util.h
display-filter.o: display.h main.h util.h ieee80211.h
display-help.o: display.h main.h util.h
display-history.o: display.h main.h util.h
display-main.o: display.h main.h util.h ieee80211.h olsr_header.h listsort.h
display-spectrum.o: display.h main.h util.h
display-statistics.o: display.h main.h util.h
essid.o: main.h util.h ieee80211.h
ieee80211_util.o: ieee80211.h ieee80211_radiotap.h ieee80211_util.h main.h \
	util.h
listsort.o: list.h listsort.h
main.o: protocol_parser.h display.h network.h main.h capture.h util.h \
	ieee80211.h ieee80211_util.h wext.h average.h
node.o: main.h ieee80211.h util.h
network.o: main.h util.h network.h
protocol_parser.o: prism_header.h ieee80211_radiotap.h ieee80211.h \
	ieee80211_util.h olsr_header.h batman_header.h protocol_parser.h \
	main.h util.h
util.o: util.h ieee80211.h
wext.o: wext.h util.h

$(NAME): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

clean:
	-rm -f *.o *~
	-rm -f $(NAME)
	-rm -f .build_*

$(buildstamp):
	make clean
	touch $@

=== debian/changelog ===
horst (3.0-2) unstable; urgency=low

  * add missing copyright files, thanks Bruno Randolf for the huge help
  * simplify watch file to use HTTP listing
  * refer to the README file in manpage
  * update manpage from upstream, with small spelling fixes
  * remove our README.Debian file now that the manpage is complete

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 15 Aug 2012 20:08:58 -0400

horst (3.0-1) unstable; urgency=low

  * Initial release (Closes: #684440)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 09 Aug 2012 22:27:34 -0400

=== debian/control ===
Source: horst
Section: net
Priority: extra
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), libncurses5-dev
Standards-Version: 3.9.3
Homepage: http://br1.einfach.org/tech/horst/
Vcs-Git: git://git.debian.org/collab-maint/horst.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/horst.git;a=summary

Package: horst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Highly Optimized Radio Scanning Tool
 horst is a small, lightweight IEEE802.11 wireless LAN analyzer with a
 text interface. Its basic function is similar to tcpdump, Wireshark
 or Kismet, but it's much smaller and shows different, aggregated
 information which is not easily available from other tools. It is
 mainly targeted at debugging wireless LANs with a focus on ad-hoc
 (IBSS) mode in larger mesh networks. It can be useful to get a quick
 overview of what is happening on all wireless LAN channels and to
 identify problems.
 .
  * Shows signal/noise values per station
  * Calculates channel utilization ("usage") by adding up the amount
 of time the packets actually occupy the medium
  * "Spectrum Analyzer" shows signal levels and usage per channel
 Graphical packet history, with signal/noise, packet type and physical
 rate
  * Shows all stations per ESSID and the live TSF per node as it is
 counting
  * Detects IBSS "splits" (same ESSID but different BSSID \u2013 this
 is a common driver problem)
  * Statistics of packets/bytes per physical rate and per packet type
  * Has some support for mesh protocols (OLSR and batman)
  * Can filter specific packet types source addresses or BSSIDs
  * Client/server support for monitoring on remote nodes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://br1.einfach.org/horst_dl/horst-([\d\.]*)\.tar\.gz

## horst 4.0

=== debian/changelog ===
horst (4.0-1) unstable; urgency=low

  * new upstream release
  * use upstream manpage
  * add sparse build-depend
  * skip upstream sparse test because of #755979
  * upstream seems to have fixed arm64 issues, but i'll let the buildds
    confirm (Closes: #758624)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 26 Aug 2014 15:06:42 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: net
 Priority: extra
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~), libncurses5-dev
+Build-Depends: debhelper (>= 8.0.0)
+             , dpkg-dev (>= 1.16.1~)
+             , libncurses5-dev
+             , sparse
 Standards-Version: 3.9.3
 Homepage: http://br1.einfach.org/tech/horst/
-Vcs-Git: git://git.debian.org/collab-maint/horst.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/horst.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/horst.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/horst.git;a=summary
 
 Package: horst
 Architecture: any

## horst 4.2

=== Makefile ===
# horst - Highly Optimized Radio Scanning Tool
#
# Copyright (C) 2005-2014 Bruno Randolf (br1@einfach.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

# build options
DEBUG=0
PCAP=0

NAME=horst
OBJS=main.o capture$(if $(filter 1,$(PCAP)),-pcap).o protocol_parser.o \
	protocol_parser_wlan.o network.o wext.o node.o essid.o channel.o \
	util.o wlan_util.o ieee80211_util.o listsort.o average.o \
	display.o display-main.o display-filter.o display-help.o \
	display-statistics.o display-essid.o display-history.o \
	display-spectrum.o display-channel.o control.o \
	radiotap/radiotap.o
LIBS=-lncurses -lm
CFLAGS+=-Wall -Wextra -g -I.

ifeq ($(DEBUG),1)
CFLAGS+=-DDO_DEBUG
endif

ifeq ($(PCAP),1)
CFLAGS+=-DPCAP
LIBS+=-lpcap
endif

.PHONY: force

all: $(NAME)

# dependencies, generated with 'gcc -MM *.c' and pasted here
average.o: average.c average.h util.h
capture.o: capture.c capture.h util.h
capture-pcap.o: capture-pcap.c capture.h util.h
channel.o: channel.c main.h ccan/list/list.h average.h channel.h \
 wlan80211.h util.h wext.h
control.o: control.c main.h ccan/list/list.h average.h channel.h \
 wlan80211.h control.h
display.o: display.c display.h main.h ccan/list/list.h average.h \
 channel.h wlan80211.h
display-channel.o: display-channel.c display.h main.h ccan/list/list.h \
 average.h channel.h wlan80211.h network.h
display-essid.o: display-essid.c display.h main.h ccan/list/list.h \
 average.h channel.h wlan80211.h util.h
display-filter.o: display-filter.c display.h main.h ccan/list/list.h \
 average.h channel.h wlan80211.h util.h network.h
display-help.o: display-help.c display.h main.h ccan/list/list.h \
 average.h channel.h wlan80211.h wlan_util.h
display-history.o: display-history.c display.h main.h ccan/list/list.h \
 average.h channel.h wlan80211.h util.h wlan_util.h
display-main.o: display-main.c display.h main.h ccan/list/list.h \
 average.h channel.h wlan80211.h util.h wlan_util.h olsr_header.h \
 batman_adv_header-14.h listsort.h
display-spectrum.o: display-spectrum.c display.h main.h ccan/list/list.h \
 average.h channel.h wlan80211.h util.h
display-statistics.o: display-statistics.c display.h main.h \
 ccan/list/list.h average.h channel.h wlan80211.h util.h wlan_util.h
essid.o: essid.c main.h ccan/list/list.h average.h channel.h wlan80211.h \
 util.h essid.h
ieee80211_util.o: ieee80211_util.c ieee80211_util.h wlan80211.h main.h \
 ccan/list/list.h average.h channel.h util.h
listsort.o: listsort.c ccan/list/list.h listsort.h
main.o: main.c main.h ccan/list/list.h average.h channel.h wlan80211.h \
 util.h capture.h protocol_parser.h network.h display.h wlan_util.h \
 ieee80211_util.h control.h node.h essid.h
network.o: network.c main.h ccan/list/list.h average.h channel.h \
 wlan80211.h util.h network.h
node.o: node.c main.h ccan/list/list.h average.h channel.h wlan80211.h \
 util.h essid.h
protocol_parser.o: protocol_parser.c olsr_header.h batman_header.h \
 batman_adv_header-14.h main.h ccan/list/list.h average.h channel.h \
 wlan80211.h util.h
protocol_parser_wlan.o: protocol_parser_wlan.c prism_header.h \
 radiotap/radiotap.h radiotap/radiotap_iter.h radiotap/radiotap.h \
 wlan80211.h wlan_util.h main.h ccan/list/list.h average.h channel.h \
 util.h
util.o: util.c util.h
wext.o: wext.c wext.h channel.h main.h ccan/list/list.h average.h \
 wlan80211.h util.h
wlan_util.o: wlan_util.c main.h ccan/list/list.h average.h channel.h \
 wlan80211.h util.h wlan_util.h

$(NAME): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

$(OBJS): .buildflags

check:
	sparse *.[ch]

clean:
	-rm -f *.o radiotap/*.o *~
	-rm -f $(NAME)
	-rm -f .buildflags

.buildflags: force
	echo '$(CFLAGS)' | cmp -s - $@ || echo '$(CFLAGS)' > $@

=== debian/changelog ===
horst (4.2-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:53:08 +0000

horst (4.2-1) unstable; urgency=medium

  * move to contrib because of non-free dependency (Closes: #763566)
  * new upstream release (Closes: #749664)
  * revert to older watchfile as (notified) upstream broke directory listing
  * update standards version, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 09 Sep 2015 20:47:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: horst
-Section: net
+Section: contrib/net
 Priority: extra
 Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
              , dpkg-dev (>= 1.16.1~)
              , libncurses5-dev
              , sparse
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://br1.einfach.org/tech/horst/
 Vcs-Git: git://anonscm.debian.org/collab-maint/horst.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/horst.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+# skip upstream's "make check" that fails because of multi-arch
+# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=755979
+override_dh_auto_test:
+    
+
 %:
 	dh $@

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://br1.einfach.org/tech/horst/ (?:\.\./)*(?:horst_dl)?/horst-([\d\.]*)\.tar\.gz

## horst 5.0

=== Makefile ===
# horst - Highly Optimized Radio Scanning Tool
#
# Copyright (C) 2005-2016 Bruno Randolf (br1@einfach.org)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

# build options
DEBUG=1
PCAP=0
WEXT=0
LIBNL=3.0
OSX=0

NAME=horst
OBJS=						   \
	average.o				   \
	capture$(if $(filter 1,$(PCAP)),-pcap).o   \
	channel.o				   \
	conf_options.o				   \
	control.o				   \
	display-channel.o			   \
	display-essid.o				   \
	display-filter.o			   \
	display-help.o				   \
	display-history.o			   \
	display-main.o				   \
	display-spectrum.o			   \
	display-statistics.o			   \
	display.o				   \
	essid.o					   \
	ieee80211_util.o			   \
	ifctrl-ioctl.o			   	   \
	listsort.o				   \
	main.o					   \
	network.o				   \
	node.o					   \
	protocol_parser.o			   \
	wlan_parser.o				   \
	radiotap/radiotap.o			   \
	util.o					   \
	wlan_util.o
LIBS=-lncurses -lm
CFLAGS+=-std=gnu99 -Wall -Wextra -g -I.

ifeq ($(OSX),1)
    PCAP=1
    WEXT=0
    LIBNL=0
    LIBS+=-framework CoreWLAN -framework CoreData -framework Foundation
endif

ifeq ($(DEBUG),1)
  CFLAGS+=-DDO_DEBUG
endif

ifeq ($(PCAP),1)
  CFLAGS+=-DPCAP
  LIBS+=-lpcap
endif

ifeq ($(WEXT),1)
  OBJS += ifctrl-wext.o
else
  ifeq ($(LIBNL),0)
    ifeq ($(OSX),0)
        OBJS += ifctrl-dummy.o
    endif
  else
    OBJS += ifctrl-nl80211.o
    CFLAGS += $(shell pkg-config --cflags libnl-$(LIBNL))
    ifeq ($(LIBNL),tiny)
      LIBS+=-lnl-tiny
    else
      LIBS+=-lnl-3 -lnl-genl-3
    endif
  endif
endif

.PHONY: all check clean force

all: $(NAME)

.objdeps.mk: $(OBJS:%.o=%.c)
	gcc -MM -I. $^ >$@
ifeq ($(OSX),1)
	gcc -MM -I. ifctrl-osx.m >>$@
endif

-include .objdeps.mk

ifeq ($(OSX),1)
	OBJS += ifctrl-osx.o
endif

$(NAME): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

$(OBJS): .buildflags

check:
	sparse $(CFLAGS) *.[ch]

clean:
	-rm -f *.o radiotap/*.o *~
	-rm -f $(NAME)
	-rm -f .buildflags
	-rm -f .objdeps.mk

.buildflags: force
	echo '$(CFLAGS)' | cmp -s - $@ || echo '$(CFLAGS)' > $@

=== debian/changelog ===
horst (5.0-2) unstable; urgency=medium

  * fix gbp branch naming scheme
  * disable checks as sparse fails on some architectures, filed as #873508

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 28 Aug 2017 10:21:01 -0400

horst (5.0-1) unstable; urgency=medium

  * merge with upstream git so drop overlay mechanism
  * upstream homepage moved
  * add new upstream dependencies
  * refresh description from upstream README
  * follow anonscm redirect
  * follow upstream docs removal and rename
  * run upstream tests again as that multi-arch bug was fixed
  * sparse now in main, follow suit
  * bump dh compat to 10, no change
  * bump standards to 4.1.0, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 23 Aug 2017 14:17:45 -0400

=== debian/control ===
Source: horst
Section: net
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 10.0.0~)
             , dpkg-dev (>= 1.16.1~)
             , pkg-config
             , libncurses5-dev
             , libpcap0.8-dev
             , libnl-3-dev
             , libnl-genl-3-dev
             , sparse
Standards-Version: 4.1.0
Homepage: https://github.com/br101/horst
Vcs-Git: git://anonscm.debian.org/collab-maint/horst.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/horst.git/

Package: horst
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Highly Optimized Radio Scanning Tool
 horst is a small, lightweight IEEE802.11 WLAN analyzer with a text
 interface. Its basic function is similar to tcpdump, Wireshark or
 Kismet, but it's much smaller and shows different, aggregated
 information which is not easily available from other tools. It is
 made for debugging wireless LANs with a focus on getting a quick
 overview instead of deep packet inspection and has special features
 for Ad-hoc (IBSS) mode and mesh networks. It can be useful to get a
 quick overview of what's going on all wireless LAN channels and to
 identify problems.
 .
  * Shows signal (RSSI) values per station, something hard to get,
    especially in IBSS mode
  * Calculates channel utilization ("usage") by adding up the amount of
    time the packets actually occupy the medium
  * "Spectrum Analyzer" shows signal levels and usage per channel
  * Graphical packet history, with signal, packet type and physical rate
  * Shows all stations per ESSID and the live TSF per node as it is
    counting
  * Detects IBSS "splits" (same ESSID but different BSSID – this is/was
    a common driver problem on IBSS mode)
  * Statistics of packets/bytes per physical rate and per packet type
  * Has some support for mesh protocols (OLSR and batman)
  * Can filter specific packet types, operating modes, source addresses
    or BSSIDs
  * Client/server support for monitoring on remote nodes
  * Automatically adds and removes monitor interface
  .
  horst is a Linux program and can be used on any wireless LAN interface
  which supports monitor mode.

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,10 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# skip upstream's "make check" that fails because of multi-arch
-# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=755979
-override_dh_auto_test:
-    
+# sparse fails on some architectures: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=873508
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el s390x ppc64 sparc64))
+DEB_BUILD_OPTS+=nocheck
+endif
 
 %:
 	dh $@

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://github.com/br101/horst/releases .*/archive/version-?((?:\d+\.?)*)\.tar\.gz

## horst 5.1

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 OSX=0
 
 NAME=horst
+VERSION=5.1
+#VERSION=$(shell git describe --tags)
+
 OBJS=						   \
 	average.o				   \
 	capture$(if $(filter 1,$(PCAP)),-pcap).o   \
@@ -52,13 +55,14 @@
 	util.o					   \
 	wlan_util.o
 LIBS=-lncurses -lm
-CFLAGS+=-std=gnu99 -Wall -Wextra -g -I.
+CFLAGS+=-std=gnu99 -Wall -Wextra -g -I. -DVERSION=\"$(VERSION)\"
 
 ifeq ($(OSX),1)
     PCAP=1
     WEXT=0
     LIBNL=0
     LIBS+=-framework CoreWLAN -framework CoreData -framework Foundation
+    OBJS+=mach_clock_gettime.o
 endif
 
 ifeq ($(DEBUG),1)
@@ -87,6 +91,8 @@
     endif
   endif
 endif
+
+DESTDIR?=/usr/local
 
 .PHONY: all check clean force
 
@@ -118,5 +124,15 @@
 	-rm -f .buildflags
 	-rm -f .objdeps.mk
 
+install:
+	mkdir -p $(DESTDIR)/sbin/
+	mkdir -p $(DESTDIR)/etc
+	mkdir -p $(DESTDIR)/man/man8/
+	mkdir -p $(DESTDIR)/man/man5
+	cp horst $(DESTDIR)/sbin/
+	cp horst.conf $(DESTDIR)/etc/
+	gzip horst.8 -c > $(DESTDIR)/man/man8/horst.8.gz
+	gzip horst.conf.5 -c > $(DESTDIR)/man/man5/horst.conf.5.gz
+
 .buildflags: force
 	echo '$(CFLAGS)' | cmp -s - $@ || echo '$(CFLAGS)' > $@

=== debian/changelog ===
horst (5.1-3ubuntu1) noble; urgency=medium

  * Fix segfault by exiting if interface does not exist. (LP: #2045986)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 31 Dec 2023 21:07:23 +0000

horst (5.1-3) unstable; urgency=medium

  [ Antoine Beaupré ]
  * acknowledge NMU
  * update watch file to latest uscan(1) examples

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Update standards version to 4.1.1, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Set debhelper-compat version in Build-Depends.
  * Bump debhelper from old 10 to 12.

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 04 Feb 2023 14:21:20 -0500

horst (5.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Sven Joachim to fix FTBFS with new ncurses.
    (Closes: #995202)

 -- Adrian Bunk <bunk@debian.org>  Sun, 28 Nov 2021 20:51:58 +0200

horst (5.1-2) unstable; urgency=medium

  * Bug fix: "horst FTCBFS: upstream Makefile hard codes build
    architecture tools", thanks to Helmut Grohne (Closes: #920780).

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 01 Feb 2019 10:29:06 -0500

horst (5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Antoine Beaupré ]
  * new upstream release (Closes: #917333, #889472)
  * follow upstream tag naming changes in gbp.conf and watch file
  * disable sparse checks as they now fail everywhere (Closes: #911102)
  * tweak upstream Makefile to follow standards (reported upstream)
  * fix control file syntax error

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 09 Jan 2019 20:34:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: horst
 Section: net
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 10.0.0~)
-             , dpkg-dev (>= 1.16.1~)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Build-Depends: debhelper-compat (= 12)
              , pkg-config
-             , libncurses5-dev
+             , libncurses-dev
              , libpcap0.8-dev
              , libnl-3-dev
              , libnl-genl-3-dev
-             , sparse
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/br101/horst
-Vcs-Git: git://anonscm.debian.org/collab-maint/horst.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/horst.git/
+Vcs-Git: https://salsa.debian.org/debian/horst.git
+Vcs-Browser: https://salsa.debian.org/debian/horst
 
 Package: horst
 Architecture: any
@@ -45,6 +44,6 @@
     or BSSIDs
   * Client/server support for monitoring on remote nodes
   * Automatically adds and removes monitor interface
-  .
-  horst is a Linux program and can be used on any wireless LAN interface
-  which supports monitor mode.
+ .
+ horst is a Linux program and can be used on any wireless LAN interface
+ which supports monitor mode.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
      https://github.com/br101/horst/tags \
      (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
